import request from '@/utils/request'

// 查询上市监管-处罚信息列表
export function listPenalty(query) {
    return request({
        url: '/crmListingSupervisionPenalty/findByPage',
        method: 'get',
        params: query
    })
}

// 查询上市监管-处罚信息详细
export function getPenalty(id) {
    return request({
        url: '/crmListingSupervisionPenalty/' + id,
        method: 'get'
    })
}

// 新增上市监管-处罚信息
export function addPenalty(data) {
    return request({
        url: '/crmListingSupervisionPenalty',
        method: 'post',
        data: data
    })
}

// 修改上市监管-处罚信息
export function updatePenalty(data) {
    return request({
        url: '/crmListingSupervisionPenalty',
        method: 'put',
        data: data
    })
}

// 删除上市监管-处罚信息
export function delPenalty(id) {
    return request({
        url: '/crmListingSupervisionPenalty/deleteAll',
        method: 'delete'
    })
}
// 批量删除行政许可
export function delPenaltyBatch(ids) {
    console.log(ids);
    return request.post('/crmListingSupervisionPenalty/delete',ids)
}